.all-sections {
	--columns-count: 5;
}

.all-sections__group {
	display: grid;
	grid-template-columns: repeat(var(--columns-count), minmax(0, 1fr));
	gap: 30px 32px;
	margin-bottom: 64px;
}

.all-sections__slides {
	display: flex;
	gap: 32px;
	cursor: default;
}

.all-sections__item {
	display: flex;
	flex-direction: column;
	color: #333;
}
.all-sections__item:hover {
	color: var(--ims-red);
}
.all-sections__item_slide {
	flex: 1 1 0;
	width: 0;
}
.all-sections__item_l1 {
	grid-column: 1 / 3;
	grid-row:    1 / 3;
}

.all-sections__image {
	overflow: hidden;
	position: relative;
	border-radius: 8px;
}
.all-sections__image_slide {
	padding-top: 100%;
}
.all-sections__image_l1 {
	flex-grow: 1;
}
.all-sections__image_l2 {
	padding-top: 100%;
}

.all-sections__name {
	display: flex;
	align-items: flex-end;
	height: 35px;
	padding-bottom: 2px;
	font-size: 16px;
	line-height: 100%;
}

@media (max-width: 1279px) {
	.all-sections {--columns-count: 4;}
}
@media (max-width: 991px) {
	.all-sections {--columns-count: 3;}
}
@media (max-width: 767px) {
	.all-sections             {--columns-count: 2;}
	.all-sections__slides     {gap: 0; cursor: grab;}
	.all-sections__item_slide {flex-shrink: 0; flex-grow: 0; flex-basis: auto; width: 35%;}
	.all-sections__item_slide:not(:last-child) {margin-right: 32px;}
	.all-sections__image_l1 {padding-top: 100%;}
}
@media (max-width: 374px) {
	.all-sections             {--columns-count: 1;}
	.all-sections__item_slide {width: 55%;}
	.all-sections__item_l1    {grid-column: unset; grid-row: unset;}
}
